<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for coupon in coupon package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  coupon module in coupon package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Coupon',
    'names' => 'Coupons',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Coupons',
        'sub' => 'Coupons'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Active',
                    'value'  => 'Active',
                    'text'   => 'Active',
                ],
                                
                [
                    'key'    => 'Inactive',
                    'value'  => 'Inactive',
                    'text'   => 'Inactive',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'code'                       => 'Please enter code',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'discount_amount'            => 'Please enter discount amount',
        'discount_percentage'        => 'Please enter discount percentage',
        'Image'                      => 'Please enter Image',
        'max_users'                  => 'Please enter max users',
        'used_count'                 => 'Please enter used count',
        'status'                     => 'Please select status',
        'details'                    => 'Please enter details',
        'user_type'                  => 'Please enter user type',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'code'                       => 'Code',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'discount_amount'            => 'Discount amount',
        'discount_percentage'        => 'Discount percentage',
        'Image'                      => 'Image',
        'max_users'                  => 'Max users',
        'used_count'                 => 'Used count',
        'status'                     => 'Status',
        'details'                    => 'Details',
        'user_type'                  => 'User type',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
