@include('coupon::public.coupon.partial.header')
<section class="listing-page-wrap">
    <div class="container">
        <div class="row">
            @include('coupon::public.coupon.partial.aside')

            <div class="col-12 col-lg-9 left-sidebar" id="listing_data">
                @forelse($coupons as $coupon)
                @php 
                $coupon = $coupon->toArray([]);
                @endphp
                <div class="listing-single-item d-flex align-items-center flex-wrap">
                    <div class="col-12 col-lg-5 p-0 listing-image">
                        <a href="{{trans_url('coupon')}}/{{$coupon['slug']}}">
                        <img src="{{url($coupon['image']['main'])}}" class="img-fluid" alt="">
                        </a>
                    </div>
                    <div class="col-12 col-lg-6 p-0 listing-text">
                        <div class="listing-content">
                            <h3><a href="{{trans_url('coupon')}}/{{$coupon['slug']}}">{{$coupon['title']}}</a></h3>
                            <div class="listing-metas">
                                <span>By <a
                                        href="{{trans_url('coupon')}}/{{$coupon['slug']}}">User</a></span>
                                <span><a
                                        href="{{trans_url('coupon')}}/{{$coupon['slug']}}">Category</a></span>
                            </div>
                            <p>{{ Str::limit($coupon['description'], 300 )}}</p>
                        </div>
                        <a href="{{trans_url('coupon')}}/{{$coupon['slug']}}" class="btn btn-theme">Continue Reading</a>
                    </div>
                </div>
                <nav class="pagination-wrap mb-50" aria-label="Page navigation example">
                    <ul class="pagination">
                        @php 
                        $meta = $coupon['meta'];
                        @endphp
                        {!!view('paginator', compact('meta'))!!}
                    </ul>
                </nav>
                @empty
                @endif
            </div>
        </div>
    </div>
</section>
