<?php

// Routes for coupon.

// Guard routes for coupon
Route::prefix('{guard}/coupon')->group(function () {

    Route::post('coupon/exim/{exim}', 'CouponEximController');
    Route::patch('coupon/actions/{action}', 'CouponActionsController');
    Route::patch('coupon/action/{coupon}/{action}', 'CouponActionController');
    Route::patch('coupon/workflow/{coupon}/{transition}', 'CouponWorkflowController');
    Route::resource('coupon', 'CouponResourceController');
});



// Public routes for coupon
Route::get('coupons/', 'CouponPublicController@index');
Route::get('coupon/{slug?}', 'CouponPublicController@show');
