<?php

namespace Crm\Coupon\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Crm\Coupon\Models\Coupon;

class CouponAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Coupon $coupon,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
