<?php

namespace Crm\Coupon\Http\Requests;

use Litepie\Http\Request\AbstractRequest;
use Crm\Coupon\Models\Coupon;

class CouponEximRequest extends AbstractRequest
{


    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        $this->model = app(Coupon::class);

        if ($this->isExport()) {
            // Determine if the user is authorized to export the data.
            return $this->can('export');
        }

        if ($this->isImport()) {
            // Determine if the user is authorized to import the data.
            return $this->can('import');
        }

    }

}
