<?php

// Web routes  for coupon.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for coupon

Route::prefix('{guard}/coupon')->group(function () {

    Route::get('/workflow/{coupon}/{user}', 'CouponWorkflowController@get')
        ->name('crm.coupon.workflow');
    Route::post('/workflow/{coupon}/{user}', 'CouponWorkflowController@post');

    Route::get('/action/{coupon}/{user}', 'CouponActionController@get')
        ->name('crm.coupon.action');
    Route::post('/action/{coupon}/{user}', 'CouponActionController@post');

});

